Межсайтовый скриптинг в MODx

Дата публикации:
09.02.2008
Всего просмотров:
3811
Опасность:
Низкая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MODx CMS 0.x
Уязвимые версии: MODx 0.9.6.1p1 и 0.9.6.1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "search" в сценарии manager/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости целевой пользователь должен иметь привилегии администратора приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "highlight", "email" и "name" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов перед выполнением некоторых действий. Удаленный пользователь может произвести CSRF атаку и изменить пароль пользователя.

URL производителя: modxcms.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA